#ifndef NOTICEUI_H
#define NOTICEUI_H

#include <QObject>
#include <QWidget>
#include <QComboBox>

#include <shell/interface.h>
#include "lightlabel.h"
#include "kswitchbutton.h"
#include "switchwidget.h"
#include "settinggroup.h"

class NoticeUi : public QWidget
{
    Q_OBJECT
public:
    explicit NoticeUi(QWidget *parent = nullptr);
    void initUi();
    void initNotFaze(SettingGroup *widget);
    void initSearchText();

    KSwitchButton *getAutoOpenSwitchBtn() {return mAutoOpenSwitchBtn;}

    SwitchWidget *getNoticeWidget() {return mGetNoticeWidget;}
    SwitchWidget *getMultiScreenWidget() {return mMultiScreenWidget;}
    SwitchWidget *getAllowAlarmrWidget() {return mAllowAlarmrWidget;}
    SwitchWidget *getFullScreenWidget() {return mFullScreenWidget;}

    SettingGroup *getAppListWidget() {return mApplistWidget;}

    QComboBox *getOpenTimeHCombox() {return mOpenTimeHCombox;}
    QComboBox *getOpenTimeMCombox() {return mOpenTimeMCombox;}
    QComboBox *getCloseTimeHCombox() {return mCloseTimeHCombox;}
    QComboBox *getCloseTimeMCombox() {return mCloseTimeMCombox;}


private:
    TitleLabel *mNoticeLabel;
    TitleLabel *mNotFazeLabel;
    QLabel *mGetNoticeLabel;

    KSwitchButton *mAutoOpenSwitchBtn;

    SwitchWidget *mGetNoticeWidget;
    SwitchWidget *mMultiScreenWidget;
    SwitchWidget *mFullScreenWidget;
    SwitchWidget *mAllowAlarmrWidget;

    QComboBox *mOpenTimeHCombox;
    QComboBox *mOpenTimeMCombox;
    QComboBox *mCloseTimeHCombox;
    QComboBox *mCloseTimeMCombox;

    SettingGroup *mApplistWidget;
signals:

};

#endif // NOTICEUI_H
